%bcond_with check

%global goipath         github.com/gomodule/redigo
Version:                1.8.3

%gometa

%global goaltipaths     github.com/garyburd/redigo

%global common_description %{expand:
Redigo is a Go client for the Redis database.

Features:
 - A Print-like API with support for all Redis commands.
 - Pipelining, including pipelined transactions.
 - Publish/Subscribe.
 - Connection pooling.
 - Script helper type with optimistic use of EVALSHA.
 - Helper functions for working with command replies.}

%gometa

%global golicenses      LICENSE
%global godocs          README.markdown

%global gosupfiles glide.lock glide.yaml

Name:           %{goname}
Release:    1%{?dist}
Summary:        Go client for redis

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.lock
Source2:        glide.yaml

%description
%{common_description}

%gopkg

%prep
%goprep
cp %{S:1} %{S:2} .

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.3-1
- initial build
